POST /v1/reservations/list

API to retrieve all the reservations for given criteria.

application/json

Body object Required

Request to fetch reservation list. Only one filter criteria can be provided at a time: partnerReservationIds, reservationIds, check-in date range (checkInFrom & checkInTo), or booking date range (bookedFrom & bookedTo).

One of:

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • reservations array[object]

      List of reservations.

      Hide reservations attributes Show reservations attributes object

      Summary reservation response returned when showDetails is false.

      • partnerReservationId string

        Reservation ID from the partner side for reference.

      • reservationId integer(int64)

        momorooms reservation ID.

      • bookingStatus string

        Current status of the reservation (e.g. Booked, Cancelled).

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        3001Reservation does not exist

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500 An unexpected error occurred. Please try again later.

POST /v1/reservations/list
curl \
 --request POST 'https://partner.momorooms.com/v1/reservations/list' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"partnerReservationIds":["string"]}'
Request examples
{
  "partnerReservationIds": [
    "string"
  ]
}
{
  "reservationIds": [
    42
  ]
}
{
  "checkInStartDate": "2026-05-04",
  "checkInEndDate": "2026-05-04"
}
{
  "bookingStartDate": "2026-05-04",
  "bookingEndDate": "2026-05-04"
}
Response examples (200)
{
  "reservations": [
    {
      "partnerReservationId": "string",
      "reservationId": 42,
      "bookingStatus": "string"
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}